<div class="modal-header " >
  <div class="grid gridTemplate3Col gridTemplateHeaderCard w-100">
    <div class="gHeader1">
      <span class="modal-title " >{{modalConfig}}  </span>
    </div>
    <div class="gHeader2">
      <span >Tiquete numero: </span> <span class="id">{{id}}</span>
    </div>
    <div class="gHeader3">
      <a (click)="activeModal.dismiss('Cross click')">
        <i class="pi pi-times-circle CBC" ></i>
      </a>
    </div>
  </div>
</div>
<div class="modal-body">
  <div class="row">
    <p-toast [style]="{marginTop: '80px'}"></p-toast>
    <div class="col-sm-5 offset-sm-5   ">

      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" ><i class="fa fa-search" ></i></span>
        </div>
        <input class="form-control" type="text" placeholder="Buscar en la tabla" (input)="dt.filterGlobal($event.target.value, 'contains')"  pInputText pTooltip="Buscar en la tabla" tooltipPosition="bottom">
      </div>
    </div>
    <div class="col-sm-12">

      <p-table [value]="modalDataArray"  [responsive]="true" #dt
               [paginator]="true" [rows]="10" [pageLinks]="3" [rowsPerPageOptions]="[10,25,50]"
               [globalFilterFields]="['numeroRemision','tipo','operacion','fechaCreacion']"
               >

        <ng-template pTemplate="header" let-columns>
          <tr class="text-center">
            <th class="{{c.class}}" *ngFor="let c of cols" >
              {{c.header}}
            </th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-rowData let-columns="columns">
          <tr class="text-center">
            <td><span class="ui-column-title">Remision</span>{{rowData.numeroRemision }}</td>
            <td><span class="ui-column-title">Clase</span>{{rowData.tipo}}</td>
            <td><span class="ui-column-title">Foto</span>
              <button (click)="verFoto('Ver foto' , rowData.foto )"  class=" btn bCSC" >
                <span class = "fa fa-eye "></span> <span > ver foto</span></button>
            </td>
            <td><span class="ui-column-title">Fecha</span>{{rowData.fechaCreacion |date:"medium" }}</td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </div>

</div>
<div class="modal-footer">
  <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
</div>
